Upsert Protected Registry Customer Grant
PUT
/v1/packages/registry/customer-grants
const url = 'https://example.com/v1/packages/registry/customer-grants?tenant_id=';const options = {method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url 'https://example.com/v1/packages/registry/customer-grants?tenant_id=' \ --header 'Content-Type: application/json' \ --data '{}'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Body
object
key
additional properties
any
Examplegenerated
{}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalRegistryCustomerGrantOut
object
tenant_id
Tenant Id
string
grant_id
Grant Id
string
project_slug
Project Slug
string
customer_slug
Customer Slug
string
package_name
Package Name
string
package_scope
Package Scope
string
allowed_versions
Allowed Versions
Array<string>
allowed_dist_tags
Allowed Dist Tags
Array<string>
status
Status
string
expires_at
Expires At
string
max_downloads
Max Downloads
integer
download_count
Download Count
integer
updated_by
Updated By
string
updated_at
Updated At
string
Example
{ "tenant_id": "default", "grant_id": "", "project_slug": "", "customer_slug": "", "package_name": "", "package_scope": "", "status": "active", "expires_at": "", "max_downloads": 0, "download_count": 0, "updated_by": "", "updated_at": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}